version: '3.5'
services:
  node:
    build: ./node
    container_name: Raikyakun-Mobile-Node
    restart: always
    ports:
      - 127.0.0.1::3000
    volumes:
      - yarn-cache:/usr/local/share/.cache/yarn/v6
      - ./node:/usr/src/node
    networks:
      proxy-net:
        ipv4_address: 172.18.2.102
    environment:
      VIRTUAL_HOST: dev.mobile.raikyakun.app
      VIRTUAL_PORT: 3000
      LETSENCRYPT_HOST: dev.mobile.raikyakun.app
      LETSENCRYPT_EMAIL: tohyama@office-gate.com
    tty: true
    command: bash -c 'cd /usr/src/node && node'
volumes:
  yarn-cache:
networks:
  proxy-net:
    external: true